## org.apache.xalan.extensions
Class XPathFunctionResolverImpl

    java.lang.Object
      org.apache.xalan.extensions.XPathFunctionResolverImpl

All Implemented Interfaces:
  javax.xml.xpath.XPathFunctionResolver

    public class XPathFunctionResolverImpl

extends java.lang.Object
implements javax.xml.xpath.XPathFunctionResolver

A sample implementation of XPathFunctionResolver, with support for EXSLT extension functions and Java extension functions.

Constructor Summary
`XPathFunctionResolverImpl()`

Method Summary
`javax.xml.xpath.XPathFunction` `resolveFunction(javax.xml.namespace.QName qname, int arity)` Resolve an extension function from the qualified name and arity.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XPathFunctionResolverImpl

    public XPathFunctionResolverImpl()

Method Detail

### resolveFunction

    public javax.xml.xpath.XPathFunction resolveFunction(javax.xml.namespace.QName qname,
                                                         int arity)

  Resolve an extension function from the qualified name and arity.

  Specified by:
    `resolveFunction` in interface `javax.xml.xpath.XPathFunctionResolver`

Copyright © 2005 Apache XML Project. All Rights Reserved.